package com.chelvc.framework.base.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.chelvc.framework.base.config.UnifiedResponseConfigurer;
import com.chelvc.framework.base.interceptor.UnifiedResponseInterceptor;
import com.chelvc.framework.base.model.Result;

/**
 * 是否需要统一包装响应结果
 * <p>
 * 统一的响应结果结构请查看{@link Result}
 *
 * @author Woody
 * @date 2023/4/5
 * @see UnifiedResponseConfigurer
 * @see UnifiedResponseInterceptor
 */
@Inherited
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE, ElementType.METHOD})
public @interface UnifiedResponseBody {
    /**
     * 判断是否可对请求结果统一包装
     *
     * @return true/false
     */
    boolean value() default true;
}
