package com.chelvc.framework.base.exception;

import java.util.Collections;
import java.util.Map;

import com.google.common.collect.ImmutableMap;
import lombok.Getter;
import lombok.NonNull;

/**
 * 参数无效异常
 *
 * @author Woody
 * @date 2023/4/5
 */
@Getter
public class ParameterInvalidException extends PlatformException {
    /**
     * 参数名称/异常信息映射表
     */
    private final Map<String, String> errors;

    public ParameterInvalidException() {
        this(Collections.emptyMap());
    }

    public ParameterInvalidException(String parameter, String message) {
        this(parameter, message, null);
    }

    public ParameterInvalidException(@NonNull String parameter, @NonNull String message, Throwable cause) {
        this(ImmutableMap.of(parameter, message), cause);
    }

    public ParameterInvalidException(@NonNull Map<String, String> errors) {
        this(errors, null);
    }

    public ParameterInvalidException(@NonNull Map<String, String> errors, Throwable cause) {
        super(String.valueOf(errors), cause);
        this.errors = errors;
    }
}
