package com.chelvc.framework.base.exception;

import lombok.Getter;

/**
 * 资源无效异常
 *
 * @author Woody
 * @date 2023/4/5
 */
@Getter
public class ResourceInvalidException extends PlatformException {
    /**
     * 自定义异常编码
     */
    private final String code;

    public ResourceInvalidException() {
        this("Invalid resource");
    }

    public ResourceInvalidException(String message) {
        this(null, message);
    }

    public ResourceInvalidException(String code, String message) {
        this(code, message, null);
    }

    public ResourceInvalidException(String message, Throwable cause) {
        this(null, message, cause);
    }

    public ResourceInvalidException(String code, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
    }
}
