package com.chelvc.framework.base.exception;

import lombok.Getter;

/**
 * 资源不可用异常
 *
 * @author Woody
 * @date 2023/4/5
 */
@Getter
public class ResourceUnavailableException extends PlatformException {
    /**
     * 自定义异常编码
     */
    private final String code;

    public ResourceUnavailableException() {
        this("Resource unavailable");
    }

    public ResourceUnavailableException(String message) {
        this(null, message, null);
    }

    public ResourceUnavailableException(String code, String message) {
        this(code, message, null);
    }

    public ResourceUnavailableException(String message, Throwable cause) {
        this(null, message, cause);
    }

    public ResourceUnavailableException(String code, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
    }
}
