package com.chelvc.framework.base.function;

/**
 * 对象接收方法接口
 *
 * @param <T> 接收对象类型
 * @author Woody
 * @date 2023/4/5
 */
@FunctionalInterface
public interface Acceptor<T> {
    /**
     * 接收对象
     *
     * @param t 对象实例
     * @throws Exception 处理异常
     */
    void accept(T t) throws Exception;
}
