package com.chelvc.framework.base.function;

/**
 * 对象适配方法接口
 *
 * @param <T> 原始对象类型
 * @param <R> 目标对象类型
 * @author Woody
 * @date 2023/4/5
 */
@FunctionalInterface
public interface Adapter<T, R> {
    /**
     * 对象适配
     *
     * @param t 原对象实例
     * @return 目标对象实例
     * @throws Exception 处理异常
     */
    R apply(T t) throws Exception;
}
