package com.chelvc.framework.base.function;

/**
 * 对象接收方法接口
 *
 * @param <T> 第一个输入参数类型
 * @param <U> 第二个输入参数类型
 * @author Woody
 * @date 2023/4/5
 */
@FunctionalInterface
public interface BiAcceptor<T, U> {
    /**
     * 接收对象
     *
     * @param t 第一个输入参数
     * @param u 第二个输入参数
     * @throws Exception 处理异常
     */
    void accept(T t, U u) throws Exception;
}
