package com.chelvc.framework.base.function;

/**
 * 对象适配方法接口
 *
 * @param <T> 第一个输入参数类型
 * @param <U> 第二个输入参数类型
 * @param <M> 第三个输入参数类型
 * @author Woody
 * @date 2023/4/5
 */
@FunctionalInterface
public interface MultipleFunction<T, U, M, R> {
    /**
     * 对象适配
     *
     * @param t 第一个输入参数
     * @param u 第二个输入参数
     * @param m 第三个输入参数
     * @return 目标对象实例
     */
    R apply(T t, U u, M m);
}
