package com.chelvc.framework.base.function;

/**
 * 对象提供方法接口
 *
 * @param <T> 目标对象类型
 * @author Woody
 * @date 2023/4/5
 */
@FunctionalInterface
public interface Provider<T> {
    /**
     * 获取对象
     *
     * @return 对象实例
     * @throws Exception 处理异常
     */
    T get() throws Exception;
}
