package com.chelvc.framework.base.interceptor;

import java.util.Objects;

import com.chelvc.framework.base.model.Result;
import org.springframework.core.MethodParameter;
import org.springframework.http.HttpStatus;
import org.springframework.web.context.request.NativeWebRequest;

/**
 * 统一响应对象包装器标准实现
 *
 * @author Woody
 * @date 2023/4/5
 */
public class StandardUnifiedResponseWrapper implements UnifiedResponseWrapper {
    @Override
    public Object wrap(NativeWebRequest request, MethodParameter method, Object value) {
        // 如果接口方法返回类型是void，则将请求结果data设置OK
        if (Objects.requireNonNull(method.getMethod()).getReturnType() == void.class) {
            value = HttpStatus.OK.name();
        }
        return value instanceof Result ? (Result<?>) value : Result.success(value);
    }
}
