package com.chelvc.framework.base.interceptor;

import com.chelvc.framework.base.model.Paging;
import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;
import org.springframework.util.Assert;

/**
 * 字符串分页信息转换实现
 *
 * @author Woody
 * @date 2023/4/5
 */
@Component
public class StringPagingConverter implements Converter<String, Paging> {
    /**
     * 最大页面大小
     */
    private static final int MAX_SIZE = 1000;

    @Override
    public Paging convert(String source) {
        Paging paging = Paging.parse(source);
        Assert.isTrue(paging == null || paging.getSize() <= MAX_SIZE,
                "Page's size must be less than or equal to " + MAX_SIZE);
        return paging;
    }
}
