package com.chelvc.framework.base.interceptor;

import org.springframework.core.MethodParameter;
import org.springframework.web.context.request.NativeWebRequest;

/**
 * 统一响应对象包装接口
 *
 * @author Woody
 * @date 2023/4/5
 */
public interface UnifiedResponseWrapper {
    /**
     * 对象包装
     *
     * @param request 请求对象
     * @param method  请求方法
     * @param value   请求结果
     * @return 包转对象
     */
    Object wrap(NativeWebRequest request, MethodParameter method, Object value);
}
