package com.chelvc.framework.database.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.chelvc.framework.database.interceptor.DeletedTypeHandler;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 基础数据模型
 *
 * @param <ID> 主键类型
 * @author Woody
 * @date 2023/4/5
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public abstract class BasicEntity<ID extends Serializable> extends ModifyEntity<ID> implements Deletable<ID> {
    /**
     * 是否已删除
     */
    @TableField(typeHandler = DeletedTypeHandler.class)
    private Boolean deleted;
}
