package com.chelvc.framework.database.entity;

import java.io.Serializable;

import com.chelvc.framework.database.interceptor.PropertyUpdateInterceptor;

/**
 * 可设置删除标记的数据模型，删除标记自动初始化以及数据查询自动过滤
 *
 * @param <ID> 主键类型
 * @author Woody
 * @date 2023/4/5
 * @see BasicEntity
 * @see PropertyUpdateInterceptor
 */
public interface Deletable<ID extends Serializable> extends Entity<ID> {
    /**
     * 判断是否已删除
     *
     * @return true/false
     */
    Boolean getDeleted();

    /**
     * 设置是否已删除
     *
     * @param deleted true/false
     */
    void setDeleted(Boolean deleted);
}
