package com.chelvc.framework.database.entity;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 多租户可更新数据模型
 *
 * @param <ID> 主键类型
 * @author Woody
 * @date 2023/4/5
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public abstract class ModifyTenantEntity<ID extends Serializable> extends ModifyEntity<ID> implements Isolatable<ID> {
    /**
     * 租户编号
     */
    private Integer tenant;
}
