package com.chelvc.framework.database.entity;

import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 树形可更新数据模型
 *
 * @param <ID> 主键类型
 * @param <T>  子节点类型
 * @author Woody
 * @date 2023/4/5
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public abstract class ModifyTreeEntity<ID extends Serializable, T extends ModifyTreeEntity<ID, T>>
        extends ModifyEntity<ID> implements TreeEntity<ID, T> {
    /**
     * 上级主键
     */
    private ID parentId;

    /**
     * 树层级
     */
    private Integer level;

    /**
     * 序列号
     */
    private String sequence;

    /**
     * 子节点列表
     */
    @TableField(exist = false)
    private List<T> children;
}
