package com.chelvc.framework.database.entity;

import java.io.Serializable;
import java.util.Date;

import com.chelvc.framework.database.interceptor.PropertyUpdateInterceptor;

/**
 * 可设置更新信息的数据模型，更新信息自动初始化
 *
 * @param <ID> 主键类型
 * @author Woody
 * @date 2023/4/5
 * @see BasicEntity
 * @see PropertyUpdateInterceptor
 */
public interface Updatable<ID extends Serializable> extends Entity<ID> {
    /**
     * 获取更新用户
     *
     * @return 更新用户
     */
    Long getUpdater();

    /**
     * 设置更新用户
     *
     * @param updater 更新用户
     */
    void setUpdater(Long updater);

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    Date getUpdateTime();

    /**
     * 设置更新时间
     *
     * @param updateTime 更新时间
     */
    void setUpdateTime(Date updateTime);
}
