package com.chelvc.framework.database.interceptor;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Types;

import com.chelvc.framework.base.context.JacksonContextHolder;
import com.chelvc.framework.base.model.File;
import org.apache.ibatis.type.BaseTypeHandler;
import org.apache.ibatis.type.JdbcType;

/**
 * 文件信息字段类型处理实现
 *
 * @author Woody
 * @date 2023/7/17
 */
public class FileTypeHandler extends BaseTypeHandler<File> {
    @Override
    public void setNonNullParameter(PreparedStatement ps, int i, File parameter, JdbcType jdbcType)
            throws SQLException {
        if (parameter == null) {
            ps.setNull(i, Types.VARCHAR);
        } else {
            ps.setString(i, JacksonContextHolder.serialize(parameter));
        }
    }

    @Override
    public File getNullableResult(ResultSet rs, String columnName) throws SQLException {
        return JacksonContextHolder.deserialize(rs.getString(columnName), File.class);
    }

    @Override
    public File getNullableResult(ResultSet rs, int columnIndex) throws SQLException {
        return JacksonContextHolder.deserialize(rs.getString(columnIndex), File.class);
    }

    @Override
    public File getNullableResult(CallableStatement cs, int columnIndex) throws SQLException {
        return JacksonContextHolder.deserialize(cs.getString(columnIndex), File.class);
    }
}
