package com.chelvc.framework.dubbo.adapter;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * Dubbo对象适配器包装器
 *
 * @param <O> 原始对象类型
 * @param <T> 目标对象类型
 * @author Woody
 * @date 2023/4/5
 */
@Getter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DubboObjectAdapterWrapper<O, T> {
    /**
     * 原始对象类型
     */
    private Class<O> original;

    /**
     * 目标对象类型
     */
    private Class<T> target;

    /**
     * 对象适配器
     */
    private DubboObjectAdapter<O, T> adapter;
}
