package com.chelvc.framework.feign.util;

import java.util.Collection;

import com.chelvc.framework.base.util.HttpUtils;
import com.chelvc.framework.base.util.ObjectUtils;
import feign.Response;
import lombok.NonNull;

/**
 * Feign工具类
 *
 * @author Woody
 * @date 2023/4/5
 */
public final class FeignUtils {
    private FeignUtils() {
    }

    /**
     * 判断请求响应消息体是否经过统一封装
     *
     * @param response 请求响应对象
     * @return true/false
     */
    public static boolean isUnifiedResponseBody(@NonNull Response response) {
        Collection<String> values = ObjectUtils.ifNull(response.headers(),
                headers -> headers.get(HttpUtils.UNIFIED_RESPONSE_HEADER));
        return values != null && values.stream().anyMatch(Boolean::valueOf);
    }
}
