package com.chelvc.framework.jpush.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 极光配置
 *
 * @author Woody
 * @date 2023/4/5
 */
@Data
@Configuration
@ConfigurationProperties("platform.jpush")
public class JPushProperties {
    /**
     * 消息推送配置
     */
    private final Push push = new Push();

    /**
     * 登录认证配置
     */
    private final Login login = new Login();

    /**
     * 消息推送配置
     */
    @Data
    public static class Push {
        /**
         * 应用标识
         */
        private String appkey;

        /**
         * 编解码密钥
         */
        private String secret;
    }

    /**
     * 登录认证配置
     */
    @Data
    public static class Login {
        /**
         * 编解码密钥
         */
        private String secret;

        /**
         * 认证信息
         */
        private String authorization;
    }
}
