package com.chelvc.framework.location;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 地址信息
 *
 * @author Woody
 * @date 2023/4/5
 */
@Data
@SuperBuilder
@EqualsAndHashCode
@NoArgsConstructor
@AllArgsConstructor
public class Address implements Serializable {
    /**
     * 地址标识
     */
    private Long id;

    /**
     * 地址名称
     */
    private String name;

    /**
     * 省
     */
    private Area province;

    /**
     * 市
     */
    private Area city;

    /**
     * 区
     */
    private Area district;
}
