package com.chelvc.framework.location;

/**
 * 地址定位处理接口
 *
 * @author Woody
 * @date 2023/4/5
 */
public interface LocationHandler {
    /**
     * 根据IP定位地址
     *
     * @param ip IP信息
     * @return 地址信息
     */
    Address ip2address(String ip);

    /**
     * 根据经纬度定位地址
     *
     * @param location 经纬度信息
     * @return 地址信息
     */
    Address location2address(String location);
}
