package com.chelvc.framework.location.config;

import lombok.Data;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 腾讯地址定位配置属性
 *
 * @author Woody
 * @date 2023/4/5
 */
@Data
@Configuration
@ConfigurationProperties("platform.location.tencent")
@ConditionalOnProperty(prefix = "platform.location.tencent", value = "key")
public class TencentLocationProperties {
    /**
     * 访问令牌
     */
    private String key;
}
