package com.chelvc.framework.location.support;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 腾讯地址定位响应信息
 *
 * @author Woody
 * @date 2023/4/5
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class TencentLocationResponse implements Serializable {
    /**
     * 响应状态
     */
    private Integer status;

    /**
     * 描述信息
     */
    private String message;

    /**
     * 地址信息
     */
    private Result result;

    /**
     * 响应结果
     */
    @Data
    @SuperBuilder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Result implements Serializable {
        /**
         * 位置信息
         */
        @JsonProperty("ad_info")
        private Location location;
    }

    /**
     * 位置信息
     */
    @Data
    @SuperBuilder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Location implements Serializable {
        /**
         * 地区编号
         */
        private Integer adcode;

        /**
         * 省
         */
        private String province;

        /**
         * 市
         */
        private String city;

        /**
         * 区
         */
        private String district;
    }
}
