package com.chelvc.framework.rocketmq.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.chelvc.framework.base.util.StringUtils;

/**
 * 自定义消息延时器注解
 *
 * @author Woody
 * @date 2023/4/5
 */
@Inherited
@Documented
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface MessageDelayer {
    /**
     * 获取消息主题
     *
     * @return 消息主题
     */
    String topic() default StringUtils.EMPTY;

    /**
     * 获取消息类型
     *
     * @return 消息类型
     */
    Class<?> type() default Object.class;
}
