package com.chelvc.framework.rocketmq.config;

import org.apache.rocketmq.client.log.ClientLogger;
import org.apache.rocketmq.spring.support.DefaultRocketMQListenerContainer;
import org.springframework.beans.BeansException;
import org.springframework.beans.factory.config.BeanPostProcessor;
import org.springframework.context.annotation.Configuration;

/**
 * RocketMQ配置类
 *
 * @author Woody
 * @date 2023/4/5
 */
@Configuration
public class RocketMQConfigurer implements BeanPostProcessor {
    static {
        System.setProperty(ClientLogger.CLIENT_LOG_USESLF4J, "true");
    }

    @Override
    public Object postProcessBeforeInitialization(Object bean, String beanName) throws BeansException {
        if (bean instanceof DefaultRocketMQListenerContainer) {
            return new SessionRocketMQListenerContainer((DefaultRocketMQListenerContainer) bean);
        }
        return bean;
    }
}
