package com.chelvc.framework.rocketmq.model;

import org.apache.rocketmq.client.consumer.listener.ConsumeConcurrentlyStatus;
import org.apache.rocketmq.client.consumer.listener.ConsumeOrderlyStatus;

/**
 * 消费状态枚举
 *
 * @author Woody
 * @date 2023/7/5
 */
public enum ConsumeStatus {
    /**
     * 消费成功
     */
    SUCCESS,

    /**
     * 稍后重试
     */
    RETRY_LATER;

    /**
     * 获取顺序消费状态
     *
     * @return 顺序消费状态
     */
    public ConsumeOrderlyStatus orderly() {
        if (this == ConsumeStatus.RETRY_LATER) {
            return ConsumeOrderlyStatus.SUSPEND_CURRENT_QUEUE_A_MOMENT;
        }
        return ConsumeOrderlyStatus.SUCCESS;
    }

    /**
     * 获取并发消费状态
     *
     * @return 并发消费状态
     */
    public ConsumeConcurrentlyStatus concurrently() {
        if (this == ConsumeStatus.RETRY_LATER) {
            return ConsumeConcurrentlyStatus.RECONSUME_LATER;
        }
        return ConsumeConcurrentlyStatus.CONSUME_SUCCESS;
    }
}
