package com.chelvc.framework.rocketmq.model;

import java.io.Serializable;

import com.chelvc.framework.base.context.JacksonContextHolder;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.NonNull;
import lombok.ToString;

/**
 * 自定义延时消息
 *
 * @author Woody
 * @date 2023/4/5
 */
@Getter
@Builder
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class DelayMessage implements Serializable {
    /**
     * 消息载体(JSON格式)
     */
    private String payload;

    /**
     * 截止时间
     */
    private long expiration;

    /**
     * 构建延时消息
     *
     * @param payload    消息载体
     * @param expiration 截止时间戳
     * @return 延时消息
     */
    public static DelayMessage of(@NonNull Object payload, long expiration) {
        return new DelayMessage(JacksonContextHolder.serialize(payload), expiration);
    }
}
