package com.chelvc.framework.rocketmq.model;

import java.io.Serializable;

import com.chelvc.framework.base.model.Session;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * 消息上下文模型
 *
 * @author Woody
 * @date 2023/5/18
 */
@Getter
@Builder
@ToString
@EqualsAndHashCode
@NoArgsConstructor
@AllArgsConstructor
public class MessageContext<T> implements Serializable {
    /**
     * 目标对象
     */
    private T target;

    /**
     * 用户会话
     */
    private Session session;
}
