package com.chelvc.framework.security.token;

import javax.servlet.http.HttpServletRequest;

import com.chelvc.framework.security.interceptor.TokenReplayValidateInterceptor;
import org.springframework.security.oauth2.jwt.Jwt;
import org.springframework.web.method.HandlerMethod;

/**
 * 令牌重放验证器接口
 *
 * @author Woody
 * @date 2023/4/5
 * @see TokenReplayValidateInterceptor
 */
public interface TokenReplayValidator {
    /**
     * 判断令牌是否重放
     *
     * @param request Http请求对象
     * @param method  目标方法
     * @param jwt     请求令牌
     * @return true/false
     */
    boolean isReplayed(HttpServletRequest request, HandlerMethod method, Jwt jwt);
}
