package com.chelvc.framework.sms;

import java.util.Map;

/**
 * 模版短信操作接口
 *
 * @author Woody
 * @date 2023/4/5
 */
public interface TemplateSmsHandler {
    /**
     * 短信发送过于频繁异常编码
     */
    String SMS_SEND_FREQUENTLY = "SMS_SEND_FREQUENTLY";

    /**
     * 发送短信
     *
     * @param mobile     手机号
     * @param template   模板标识
     * @param parameters 模版参数
     */
    void send(String mobile, String template, String... parameters);

    /**
     * 发送短信
     *
     * @param mobile     手机号
     * @param template   模板标识
     * @param parameters 模版参数
     */
    void send(String mobile, String template, Map<String, ?> parameters);

    /**
     * 发送短信验证码
     *
     * @param mobile   手机号
     * @param template 模版标识
     * @param code     验证码
     */
    void sendCaptcha(String mobile, String template, String code);
}
