package com.chelvc.framework.sms.config;

import lombok.Data;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 阿里云短信配置
 *
 * @author Woody
 * @date 2023/4/5
 */
@Data
@Configuration
@ConfigurationProperties("platform.sms.aliyun")
@ConditionalOnProperty(prefix = "platform.sms.aliyun", value = {"id", "secret"})
public class AliyunSmsProperties {
    /**
     * AccessKey ID
     */
    private String id;

    /**
     * AccessKey Secret
     */
    private String secret;

    /**
     * 短信签名
     */
    private String signature;
}
