package com.chelvc.framework.sms.config;

import lombok.Data;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 短信配置
 *
 * @author Woody
 * @date 2023/4/5
 */
@Data
@Configuration
@ConfigurationProperties("platform.sms.tencent")
@ConditionalOnProperty(prefix = "platform.sms.tencent", value = {"appid", "secret"})
public class TencentSmsProperties {
    /**
     * 应用标识
     */
    private Integer id;

    /**
     * 应用密钥
     */
    private String secret;

    /**
     * 地区标识
     */
    private String region;

    /**
     * 短信签名
     */
    private String signature;
}
