package com.chelvc.framework.upload;

import java.io.File;
import java.io.InputStream;

/**
 * 文件上传操作接口
 *
 * @author Woody
 * @date 2023/4/5
 */
public interface UploadHandler {
    /**
     * 文件上传
     *
     * @param file 文件对象
     * @return 文件访问地址
     */
    String upload(File file);

    /**
     * 文件上传
     *
     * @param stream 文件流
     * @param suffix 后缀名
     * @return 文件访问地址
     */
    String upload(InputStream stream, String suffix);
}
