package com.chelvc.framework.upload.config;

import lombok.Data;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 标准文件上传配置
 *
 * @author Woody
 * @date 2023/5/6
 */
@Data
@Configuration
@ConfigurationProperties("platform.upload.standard")
@ConditionalOnProperty(prefix = "platform.upload.standard", value = {"path", "domain"})
public class StandardUploadProperties {
    /**
     * 文件存储路径
     */
    private String path;

    /**
     * 文件访问域名
     */
    private String domain;
}
