package com.chelvc.framework.upload.config;

import lombok.Data;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 腾讯云文件上传配置
 *
 * @author Woody
 * @date 2023/4/5
 */
@Data
@Configuration
@ConfigurationProperties("platform.upload.tencent")
@ConditionalOnProperty(prefix = "platform.upload.tencent", value = {"appid", "secret", "bucket"})
public class TencentUploadProperties {
    /**
     * 应用标识
     */
    private String appid;

    /**
     * 应用密钥
     */
    private String secret;

    /**
     * 地区标识
     */
    private String region;

    /**
     * 文件桶标识
     */
    private String bucket;
}
