package com.chelvc.framework.wechat;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 微信支付请求参数
 *
 * @author Woody
 * @date 2023/4/5
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class WechatPayRequest implements Serializable {
    /**
     * 订单标识
     */
    private String order;

    /**
     * 商品描述
     */
    private String comment;

    /**
     * 支付金额（元）
     */
    private BigDecimal amount;

    /**
     * 微信openid
     */
    private String openid;

    /**
     * 上下文参数
     */
    private String context;
}
