package com.chelvc.framework.wechat;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 微信公众号关注用户列表响应对象
 *
 * @author Woody
 * @date 2023/4/5
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class WechatPublicSubscribers extends WechatResponse {
    /**
     * 用户信息列表
     */
    @JsonProperty("user_info_list")
    private List<WechatPublicSubscriber> subscribers;
}
