package com.chelvc.framework.wechat;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 微信统一下单信息
 *
 * @author Woody
 * @date 2023/6/21
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class WechatUnifiedOrder implements Serializable {
    /**
     * 支付方式
     */
    private PayMode mode;

    /**
     * AppID
     */
    private String appid;

    /**
     * 商户标识
     */
    private String mchid;

    /**
     * 随机串
     */
    private String nonce;

    /**
     * 预支付ID
     */
    private String prepayid;

    /**
     * 二维码地址
     */
    private String qrcode;
}
